Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Interface SyndEntry

All Superinterfaces:
  Cloneable, CopyFrom, Extendable

All Known Implementing Classes:
  SyndEntryImpl

    public interface SyndEntry

extends Cloneable, CopyFrom, Extendable

Bean interface for entries of SyndFeedImpl feeds.

Author:
  Alejandro Abdelnur

Method Summary
`Object` | `clone()` Creates a deep clone of the object.
`SyndLink` | `findRelatedLink(String relation)` Returns the first instance of a SyndLink with the specified relation, or null
`String` | `getAuthor()` Returns the name of the first entry author in the collection of authors.
`List<SyndPerson>` | `getAuthors()` Returns the entry authors.
`List<SyndCategory>` | `getCategories()` Returns the entry categories.
`List<SyndContent>` | `getContents()` Returns the entry contents.
`List<SyndPerson>` | `getContributors()` Returns the feed author.
`SyndContent` | `getDescription()` Returns the entry description.
`List<SyndEnclosure>` | `getEnclosures()` Returns the entry enclosures.
`Object` | `getForeignMarkup()` Returns foreign markup found at channel level.
`String` | `getLink()` Returns the entry link.
`List<SyndLink>` | `getLinks()` Returns the entry links
`Module` | `getModule(String uri)` Returns the module identified by a given URI.
`List<Module>` | `getModules()` Returns the entry modules.
`Date` | `getPublishedDate()` Returns the entry published date.
`SyndFeed` | `getSource()` Returns the entry source.
`String` | `getTitle()` Returns the entry title.
`SyndContent` | `getTitleEx()` Returns the entry title as a text construct.
`Date` | `getUpdatedDate()` Returns the entry updated date.
`String` | `getUri()` Returns the entry URI.
`Object` | `getWireEntry()` Return the original item this SyndEntry is generated from.
`void` | `setAuthor(String author)` Sets the entry author.
`void` | `setAuthors(List<SyndPerson> authors)` Sets the entry author.
`void` | `setCategories(List<SyndCategory> categories)` Sets the entry categories.
`void` | `setContents(List<SyndContent> contents)` Sets the entry contents.
`void` | `setContributors(List<SyndPerson> contributors)` Sets the feed contributors.
`void` | `setDescription(SyndContent description)` Sets the entry description.
`void` | `setEnclosures(List<SyndEnclosure> enclosures)` Sets the entry enclosures.
`void` | `setForeignMarkup(Object foreignMarkup)` Sets foreign markup found at channel level.
`void` | `setLink(String link)` Sets the entry link.
`void` | `setLinks(List<SyndLink> links)` Sets the entry links.
`void` | `setModules(List<Module> modules)` Sets the entry modules.
`void` | `setPublishedDate(Date publishedDate)` Sets the entry published date.
`void` | `setSource(SyndFeed source)` Sets the entry source feed (for use if different from containing feed)
`void` | `setTitle(String title)` Sets the entry title.
`void` | `setTitleEx(SyndContent title)` Sets the entry title as a text construct.
`void` | `setUpdatedDate(Date updatedDate)` Sets the entry updated date.
`void` | `setUri(String uri)` Sets the entry URI.

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Method Detail

### getUri

    String getUri()

  Returns the entry URI.

  How the entry URI maps to a concrete feed type (RSS or Atom) depends on the concrete feed type. This is explained in detail in Rome documentation, Feed and entry URI mapping.

  The returned URI is a normalized URI as specified in RFC 2396bis.

  Returns:
    the entry URI, null if none.

### setUri

    void setUri(String uri)

  Sets the entry URI.

  How the entry URI maps to a concrete feed type (RSS or Atom) depends on the concrete feed type. This is explained in detail in Rome documentation, Feed and entry URI mapping.

  Parameters:
    `uri` - the entry URI to set, null if none.

### getTitle

    String getTitle()

  Returns the entry title.

  Returns:
    the entry title, null if none.

### setTitle

    void setTitle(String title)

  Sets the entry title.

  Parameters:
    `title` - the entry title to set, null if none.

### getTitleEx

    SyndContent getTitleEx()

  Returns the entry title as a text construct.

  Returns:
    the entry title, null if none.

### setTitleEx

    void setTitleEx(SyndContent title)

  Sets the entry title as a text construct.

  Parameters:
    `title` - the entry title to set, null if none.

### getLink

    String getLink()

  Returns the entry link.

  Returns:
    the entry link, null if none.

### setLink

    void setLink(String link)

  Sets the entry link.

  Parameters:
    `link` - the entry link to set, null if none.

### getLinks

    List<SyndLink> getLinks()

  Returns the entry links

  Returns:
    the entry links, null if none.

### setLinks

    void setLinks(List<SyndLink> links)

  Sets the entry links.

  Parameters:
    `links` - the entry links to set, null if none.

### getDescription

    SyndContent getDescription()

  Returns the entry description.

  Returns:
    the entry description, null if none.

### setDescription

    void setDescription(SyndContent description)

  Sets the entry description.

  Parameters:
    `description` - the entry description to set, null if none.

### getContents

    List<SyndContent> getContents()

  Returns the entry contents.

  Returns:
    a list of SyndContentImpl elements with the entry contents, an empty list if none.

### setContents

    void setContents(List<SyndContent> contents)

  Sets the entry contents.

  Parameters:
    `contents` - the list of SyndContentImpl elements with the entry contents to set, an empty list or null if none.

### getEnclosures

    List<SyndEnclosure> getEnclosures()

  Returns the entry enclosures.

  Returns:
    a list of SyndEnclosure elements with the entry enclosures, an empty list if none.

### setEnclosures

    void setEnclosures(List<SyndEnclosure> enclosures)

  Sets the entry enclosures.

  Parameters:
    `enclosures` - the list of SyndEnclosure elements with the entry enclosures to set, an empty list or null if none.

### getPublishedDate

    Date getPublishedDate()

  Returns the entry published date.

  This method is a convenience method, it maps to the Dublin Core module date.

  Returns:
    the entry published date, null if none.

### setPublishedDate

    void setPublishedDate(Date publishedDate)

  Sets the entry published date.

  This method is a convenience method, it maps to the Dublin Core module date.

  Parameters:
    `publishedDate` - the entry published date to set, null if none.

### getUpdatedDate

    Date getUpdatedDate()

  Returns the entry updated date.

  Returns:
    the entry updated date, null if none.

### setUpdatedDate

    void setUpdatedDate(Date updatedDate)

  Sets the entry updated date.

  Parameters:
    `updatedDate` - the entry updated date to set, null if none.

### getAuthors

    List<SyndPerson> getAuthors()

  Returns the entry authors.

  For Atom feeds, this returns the authors as a list of SyndPerson objects, for RSS feeds this method is a convenience method, it maps to the Dublin Core module creator.

  Returns:
    the feed author, null if none.

### setAuthors

    void setAuthors(List<SyndPerson> authors)

  Sets the entry author.

  For Atom feeds, this sets the authors as a list of SyndPerson objects, for RSS feeds this method is a convenience method, it maps to the Dublin Core module creator.

  Parameters:
    `authors` - the feed author to set, null if none.

### getAuthor

    String getAuthor()

  Returns the name of the first entry author in the collection of authors.

  For Atom feeds, this returns the authors as a list of SyndPerson objects, for RSS feeds this method is a convenience method, it maps to the Dublin Core module creator.

  Returns:
    the feed author, null if none.

### setAuthor

    void setAuthor(String author)

  Sets the entry author.

  For Atom feeds, this sets the feed author's name, for RSS feeds this method is a convenience method, it maps to the Dublin Core module creator.

  Parameters:
    `author` - the feed author to set, null if none.

### getContributors

    List<SyndPerson> getContributors()

  Returns the feed author.

  For Atom feeds, this returns the contributors as a list of SyndPerson objects

  Returns:
    the feed author, null if none.

### setContributors

    void setContributors(List<SyndPerson> contributors)

  Sets the feed contributors.

  Returns contributors as a list of SyndPerson objects.

  Parameters:
    `contributors` - the feed contributors to set, null if none.

### getCategories

    List<SyndCategory> getCategories()

  Returns the entry categories.

  This method is a convenience method, it maps to the Dublin Core module subjects.

  Returns:
    a list of SyndCategoryImpl elements with the entry categories, an empty list if none.

### setCategories

    void setCategories(List<SyndCategory> categories)

  Sets the entry categories.

  This method is a convenience method, it maps to the Dublin Core module subjects.

  Parameters:
    `categories` - the list of SyndCategoryImpl elements with the entry categories to set, an empty list or null if none.

### getSource

    SyndFeed getSource()

  Returns the entry source.

  This returns the entry source as a SyndFeed

  Returns:
    the SyndFeed to which this entry is attributed

### setSource

    void setSource(SyndFeed source)

  Sets the entry source feed (for use if different from containing feed)

  Parameters:
    `source` - the original SyndFeed that contained this article

### getWireEntry

    Object getWireEntry()

  Return the original item this SyndEntry is generated from. The type of the object returned depends on the original type of the feed. Atom 0.3/1.0 will return com.sun.syndication.feed.atom.Entry, while RSS will return com.sun.syndication.feed.rss.Item.java. If this entry was not generated from a WireFeed, or the SyndFeed was not set to preserve the WireFeed then it will return null

  Returns:
    the WireFeed Item or Entry this Entry is generated from, or null

### getModule

    Module getModule(String uri)

  Returns the module identified by a given URI.

  Specified by:
    `getModule` in interface `Extendable`
  Parameters:
    `uri` - the URI of the ModuleImpl.
  Returns:
    The module with the given URI, null if none.

### getModules

    List<Module> getModules()

  Returns the entry modules.

  Specified by:
    `getModules` in interface `Extendable`
  Returns:
    a list of ModuleImpl elements with the entry modules, an empty list if none.

### setModules

    void setModules(List<Module> modules)

  Sets the entry modules.

  Specified by:
    `setModules` in interface `Extendable`
  Parameters:
    `modules` - the list of ModuleImpl elements with the entry modules to set, an empty list or null if none.

### getForeignMarkup

    Object getForeignMarkup()

  Returns foreign markup found at channel level.

  Returns:
    Opaque object to discourage use

### setForeignMarkup

    void setForeignMarkup(Object foreignMarkup)

  Sets foreign markup found at channel level.

  Parameters:
    `foreignMarkup` - Opaque object to discourage use

### clone

    Object clone()
                 throws CloneNotSupportedException

  Creates a deep clone of the object.

  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### findRelatedLink

    SyndLink findRelatedLink(String relation)

  Returns the first instance of a SyndLink with the specified relation, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.